org.eclipse.core.commands

## Class ParameterTypeEvent

- java.lang.Object
- - org.eclipse.core.commands.common.AbstractBitSetEvent
  - - org.eclipse.core.commands.common.AbstractHandleObjectEvent
    - - org.eclipse.core.commands.ParameterTypeEvent

    public final class ParameterTypeEvent
    extends AbstractHandleObjectEvent

An instance of this class describes changes to an instance of `ParameterType`.

This class is not intended to be extended by clients.

Since:
  3.2
See Also:
  `IParameterTypeListener.parameterTypeChanged(ParameterTypeEvent)`

### Field Summary

### Fields inherited from class org.eclipse.core.commands.common.AbstractHandleObjectEvent

`CHANGED_DEFINED, LAST_BIT_USED_ABSTRACT_HANDLE`

### Fields inherited from class org.eclipse.core.commands.common.AbstractBitSetEvent

`changedValues`

### Method Summary

All Methods Instance Methods Concrete Methods
`ParameterType` `getParameterType()` Returns the instance of the parameter type that changed.

### Methods inherited from class org.eclipse.core.commands.common.AbstractHandleObjectEvent

`isDefinedChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getParameterType

    public final ParameterType getParameterType()

Returns the instance of the parameter type that changed.

Returns:
  the instance of the parameter type that changed. Guaranteed not to be `null`.